# li-marquee

<!-- Auto Generated Below -->

## Properties

| Property       | Attribute      | Description | Type                                  | Default    |
| -------------- | -------------- | ----------- | ------------------------------------- | ---------- |
| `behavior`     | `behavior`     | 滚动方式    | `"alternate" \| "scroll" \| "slide"`  | `'scroll'` |
| `direction`    | `direction`    | 滚动方向    | `"down" \| "left" \| "right" \| "up"` | `'up'`     |
| `loop`         | `loop`         | 循环次数    | `number`                              | `-1`       |
| `scrollAmount` | `scrollamount` | 滚动速度    | `number`                              | `6`        |
| `scrollDelay`  | `scrolldelay`  | 滚动延时    | `number`                              | `85`       |

## Methods

### `start() => Promise<void>`

开始滚动

#### Returns

Type: `Promise<void>`

### `stop() => Promise<void>`

停止滚动

#### Returns

Type: `Promise<void>`

---

_Built with ITSI_
